<h1>View note</h1>
<form *ngIf="!note" class="password-prompt">
  <h3>Please type password for this note</h3>
  <mat-form-field>
    <mat-label>Enter password</mat-label>
    <input
      matInput
      type="password"
      name="password"
      [(ngModel)]="password"
    />
  </mat-form-field>
  <button *ngIf="!isLoading"
          mat-button
          type="submit"
          color="primary"
          (click)="getNote()"
          [disabled]="!password?.length"
  >
    Get Note
  </button>
  <app-spinner *ngIf="isLoading"></app-spinner>
</form>
<ng-container *ngIf="note">
  <h3>Title: {{note.title}}</h3>
  <div>
    <h3>Content</h3>
    <p>{{note.content}}</p>
  </div>
</ng-container>
